<?php if(!defined('PLX_ROOT')) exit;
		/**
		* Plugin 			Gestion 404
		*
		* @CMS required			PluXml 
		*
		* @version			1.0
		* @date				2024-03-03
		* @author 			G.Cyrillus
		░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░
		░       ░░  ░░░░░░░  ░░░░  ░  ░░░░  ░░      ░░       ░░░      ░░  ░░░░░░░        ░░      ░░░░░   ░░░  ░        ░        ░
		▒  ▒▒▒▒  ▒  ▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒  ▒▒  ▒▒  ▒▒▒▒  ▒  ▒▒▒▒  ▒  ▒▒▒▒  ▒  ▒▒▒▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒▒▒▒▒▒▒▒▒    ▒▒  ▒  ▒▒▒▒▒▒▒▒▒▒  ▒▒▒▒
		▓       ▓▓  ▓▓▓▓▓▓▓  ▓▓▓▓  ▓▓▓    ▓▓▓  ▓▓▓▓  ▓       ▓▓  ▓▓▓▓  ▓  ▓▓▓▓▓▓▓▓▓▓  ▓▓▓▓▓      ▓▓▓▓▓  ▓  ▓  ▓      ▓▓▓▓▓▓  ▓▓▓▓
		█  ███████  ███████  ████  ██  ██  ██  ████  █  ███████  ████  █  ██████████  ██████████  ████  ██    █  ██████████  ████
		█  ███████        ██      ██  ████  ██      ██  ████████      ██        █        ██      ██  █  ███   █        ████  ████
		█████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████
		**/
		class Gestion404 extends plxPlugin {
		
		
		
		const BEGIN_CODE = '<?php' . PHP_EOL;
		const END_CODE = PHP_EOL . '?>';
		public $lang = ''; 
		public $er404;
		
		
		public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);
		
		
		
		# droits pour accèder à la page config.php du plugin
		$this->setConfigProfil(PROFIL_ADMIN, PROFIL_MANAGER);		
		$this->er404 = $this->getParam('er404') ==''   ?   '0' : $this->getParam('er404') ;
		
		
		# Declaration des hooks		
		$this->addHook('AdminTopBottom', 'AdminTopBottom');
		$this->addHook('plxMotorPreChauffageBegin', 'plxMotorPreChauffageBegin');
		$this->addHook('plxMotorPreChauffageGetMode', 'plxMotorPreChauffageGetMode');

		
		}
		
		# Activation / desactivation
		
		public function OnActivate() {
		# code à executer à l’activation du plugin
		//nowizards set
		}
		
		public function OnDeactivate() {
		# code à executer à la désactivation du plugin
		}	


		
		/**
		 * Méthode qui affiche un message si le plugin n'a pas la langue du site dans sa traduction
		 * Ajout gestion du wizard si inclus au plugin
		 * @return	stdio
		 * @author	Stephane F
		 **/
		public function AdminTopBottom() {

			echo '<?php
			$file = PLX_PLUGINS."'.$this->plug['name'].'/lang/".$plxAdmin->aConf["default_lang"].".php";
			if(!file_exists($file)) {
				echo "<p class=\\"warning\\">'.basename(__DIR__).'<br />".sprintf("'.$this->getLang('L_LANG_UNAVAILABLE').'", $file)."</p>";
				plxMsg::Display();
			}
			?>';
		}
		
		/** 
		* Méthode plxMotorPreChauffageBegin
		* 
		* Descrition	:
		* @author		: TheCrok
		* 
		**/
		public function plxMotorPreChauffageBegin() {
		if($this->er404 =='1'){
			echo self::BEGIN_CODE;
		?>
		$get='';
		if(!empty($this->get) and !preg_match('#^(?:blog|article\d{1,4}/|static\d{1,3}/|categorie\d{1,3}/|archives/\d{4}(?:/\d{2})?|tag/\w|page\d|preview|telechargement|download)#', $this->get)) { 
			$get = 'erreur';
		}
		<?php
            echo self::END_CODE;
		}
		}
		

		/** 
		* Méthode plxMotorPreChauffageGetMode
		* 
		* Descrition	: modifie la valeur de $plxMotor->get
		* @author		: TheCrok
		* 
		**/
		public function plxMotorPreChauffageGetMode() {
		if($this->er404 =='1'){
			echo self::BEGIN_CODE;
		?>
		if($get == 'erreur') $this->get = ' ';
		<?php
            echo self::END_CODE;
		}
		}
		
					
		}